## napari 0.5.0~a1

=== Makefile ===
.PHONY: typestubs pre watch dist settings-schema

typestubs:
	python -m napari.utils.stubgen

# note: much faster to run mypy as daemon,
# dmypy run -- ...
# https://mypy.readthedocs.io/en/stable/mypy_daemon.html
typecheck:
	mypy napari/settings napari/types.py napari/plugins

check-manifest:
	pip install -U check-manifest
	check-manifest

dist: typestubs check-manifest
	pip install -U build
	python -m build

settings-schema:
	python -m napari.settings._napari_settings

pre:
	pre-commit run -a

# If the first argument is "watch"...
ifeq (watch,$(firstword $(MAKECMDGOALS)))
  # use the rest as arguments for "watch"
  WATCH_ARGS := $(wordlist 2,$(words $(MAKECMDGOALS)),$(MAKECMDGOALS))
  # ...and turn them into do-nothing targets
  $(eval $(WATCH_ARGS):;@:)
endif

# examples:
# make watch ~/Desktop/Untitled.png
# make watch -- -w animation  # -- is required for passing flags to napari

watch:
	@echo "running: napari $(WATCH_ARGS)"
	@echo "Save any file to restart napari\nCtrl-C to stop..\n" && \
		watchmedo auto-restart -R \
			--ignore-patterns="*.pyc*" -D \
			--signal SIGKILL \
			napari -- $(WATCH_ARGS) || \
		echo "please run 'pip install watchdog[watchmedo]'"

=== debian/changelog ===
napari (0.5.0~a1-6) unstable; urgency=medium

  * Bug fix: "Please replace python3-appdirs dependency with
    platformdirs", thanks to Simon McVittie (Closes: #1067973).

 -- Roland Mas <lolando@debian.org>  Sun, 12 May 2024 22:08:46 +0200

napari (0.5.0~a1-5) unstable; urgency=medium

  * Ship a .desktop file.

 -- Roland Mas <lolando@debian.org>  Wed, 17 Jan 2024 15:37:37 +0100

napari (0.5.0~a1-4) unstable; urgency=medium

  * Update debian/watch to handle upstream prerelease version numbers.
  * Depend on a recent version of Vispy.

 -- Roland Mas <lolando@debian.org>  Tue, 29 Aug 2023 16:48:49 +0200

napari (0.5.0~a1-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Thu, 17 Aug 2023 21:43:36 +0200

napari (0.5.0~a1-2) unstable; urgency=medium

  * Add missing copyright holders to debian/copyright.

 -- Roland Mas <lolando@debian.org>  Tue, 08 Aug 2023 14:02:00 +0200

napari (0.5.0~a1-1) unstable; urgency=low

  * Initial release, autogenerated by py2dsp/3.20230219 then tweaked by
    hand.

 -- Roland Mas <lolando@debian.org>  Tue, 01 Aug 2023 16:28:59 +0200

=== debian/control ===
Source: napari
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject, python3-setuptools,
               python3-all,
               python3-platformdirs,
	       python3-app-model,
	       python3-cachey,
               python3-certifi,
               python3-dask,
	       python3-docstring-parser,
               python3-imageio,
               python3-jsonschema,
               python3-lazy-loader,
	       python3-magicgui,
	       python3-napari-plugin-engine,
	       python3-npe2,
               python3-numpy,
               python3-numpydoc,
               python3-opengl,
               python3-pandas,
               python3-pil,
               python3-pint,
               python3-psutil,
	       python3-psygnal,
               python3-pydantic,
               python3-pygments,
               python3-qtpy,
               python3-scipy,
               python3-skimage,
               python3-sphinx,
               python3-superqt,
               python3-tifffile,
               python3-toolz,
               python3-tqdm,
               python3-typing-extensions,
               python3-vispy (>= 0.13),
               python3-wrapt,
               python3-yaml,
	       python3-setuptools-scm,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://napari.org
Vcs-Git: https://salsa.debian.org/python-team/packages/napari.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/napari
Rules-Requires-Root: no

Package: python3-napari
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: n-dimensional array viewer in Python
 Fast, interactive, multi-dimensional image viewer for Python. It's
 designed for browsing, annotating, and analyzing large
 multi-dimensional images. It's built on top of Qt (for the GUI),
 vispy (for performant GPU-based rendering), and the scientific Python
 stack (numpy, scipy).

=== debian/watch ===
version=4
opts=uversionmangle=s/^([0-9.]+)/$1~/ \
https://github.com/napari/napari/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## napari 0.5.0~a5

=== debian/changelog ===
napari (0.5.0~a5-1) unstable; urgency=medium

  * New upstream release.
  * Add missing Build-Depends for (still disabled) testsuite. This should
    fix: "python3-lxml-html-clean is now a separate package", thanks to
    Rebecca N. Palmer (Closes: #1071453).

 -- Roland Mas <lolando@debian.org>  Tue, 02 Jul 2024 16:42:41 +0200

=== debian/control ===
Source: napari
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13),
 pybuild-plugin-pyproject,
 python3-all,
 python3-app-model,
 python3-cachey,
 python3-certifi,
 python3-dask,
 python3-docstring-parser,
 python3-imageio,
 python3-ipython,
 python3-jsonschema,
 python3-lazy-loader,
 python3-lxml,
 python3-lxml-html-clean,
 python3-magicgui,
 python3-napari-plugin-engine,
 python3-npe2,
 python3-numpy,
 python3-numpydoc,
 python3-opengl,
 python3-pandas,
 python3-pil,
 python3-pint,
 python3-platformdirs,
 python3-psutil,
 python3-psygnal,
 python3-pydantic,
 python3-pygments,
 python3-pytest,
# python3-pytest-pretty, # not available yet
 python3-pytest-xvfb,
 python3-qtpy,
 python3-scipy,
 python3-setuptools,
 python3-setuptools-scm,
 python3-skimage,
 python3-sphinx,
 python3-superqt,
 python3-tifffile,
 python3-toolz,
 python3-tqdm,
 python3-typing-extensions,
 python3-vispy (>= 0.13),
 python3-wrapt,
 python3-xarray,
 python3-yaml,
 python3-zarr,
Standards-Version: 4.6.2.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://napari.org
Vcs-Git: https://salsa.debian.org/python-team/packages/napari.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/napari
Rules-Requires-Root: no

Package: python3-napari
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Description: n-dimensional array viewer in Python
 Fast, interactive, multi-dimensional image viewer for Python. It's
 designed for browsing, annotating, and analyzing large
 multi-dimensional images. It's built on top of Qt (for the GUI),
 vispy (for performant GPU-based rendering), and the scientific Python
 stack (numpy, scipy).

## napari 0.5.3~rc1

=== debian/changelog ===
napari (0.5.3~rc1-1) unstable; urgency=medium

  * New upstream pre-release.
  * Update Build-Depends.
  * Skip the parts of the testsuite that require network access.
  * Add autopkgtests.

 -- Roland Mas <lolando@debian.org>  Sun, 22 Sep 2024 19:41:29 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
- Roland Mas <lolando@debian.org>
-Build-Depends: debhelper-compat (= 13),
+ Roland Mas <lolando@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
  pybuild-plugin-pyproject,
  python3-all,
- python3-app-model,
+ python3-app-model (>= 0.2.8),
  python3-cachey,
  python3-certifi,
  python3-dask,
  python3-docstring-parser,
+ python3-hypothesis,
  python3-imageio,
  python3-ipython,
  python3-jsonschema,
@@ -20,7 +22,10 @@
  python3-lxml,
  python3-lxml-html-clean,
  python3-magicgui,
+ python3-napari-console,
  python3-napari-plugin-engine,
+ python3-napari-plugin-manager,
+ python3-napari-svg,
  python3-npe2,
  python3-numpy,
  python3-numpydoc,
@@ -29,13 +34,16 @@
  python3-pil,
  python3-pint,
  python3-platformdirs,
+ python3-pretend,
  python3-psutil,
  python3-psygnal,
+ python3-pyautogui,
  python3-pydantic,
  python3-pygments,
  python3-pytest,
-# python3-pytest-pretty, # not available yet
+ python3-pytest-pretty,
  python3-pytest-xvfb,
+ python3-pytestqt,
  python3-qtpy,
  python3-scipy,
  python3-setuptools,
@@ -53,7 +61,6 @@
  python3-yaml,
  python3-zarr,
 Standards-Version: 4.6.2.0
-Testsuite: autopkgtest-pkg-pybuild
 Homepage: https://napari.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/napari.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/napari
@@ -61,7 +68,7 @@
 
 Package: python3-napari
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends},
+Depends: python3-xarray, python3-zarr, ${misc:Depends}, ${python3:Depends},
 Description: n-dimensional array viewer in Python
  Fast, interactive, multi-dimensional image viewer for Python. It's
  designed for browsing, annotating, and analyzing large

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=napari
export PYBUILD_TEST_ARGS=-m 'not needs_network'
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r napari/_tests "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2 -m 'not needs_network'
 ; done
Depends: python3-pytest, python3-pytestqt, @,
Restrictions: allow-stderr

## napari 0.5.5

=== debian/changelog ===
napari (0.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Depend and Build-Depend on python3-qtpy-pyqt5 rather than python3-qtpy
    (Closes: #1089943).
  * Ignore some whitespace in testcase expectations
  * Bug fix: "FTBFS: E TypeError: object of type 'NoneType' has no len()",
    thanks to Santiago Vila (Closes: #1090247).

 -- Roland Mas <lolando@debian.org>  Fri, 03 Jan 2025 17:55:28 +0100

=== debian/control ===
Source: napari
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
 Roland Mas <lolando@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-app-model (>= 0.2.8),
 python3-cachey <!nocheck>,
 python3-certifi <!nocheck>,
 python3-dask <!nocheck>,
 python3-docstring-parser <!nocheck>,
 python3-hypothesis <!nocheck>,
 python3-imageio <!nocheck>,
 python3-ipython <!nocheck>,
 python3-jsonschema <!nocheck>,
 python3-lazy-loader <!nocheck>,
 python3-lxml <!nocheck>,
 python3-lxml-html-clean <!nocheck>,
 python3-magicgui <!nocheck>,
 python3-napari-console <!nocheck>,
 python3-napari-plugin-engine <!nocheck>,
 python3-napari-plugin-manager <!nocheck>,
 python3-napari-svg <!nocheck>,
 python3-npe2 <!nocheck>,
 python3-numpy <!nocheck>,
 python3-numpydoc <!nocheck>,
 python3-opengl <!nocheck>,
 python3-pandas <!nocheck>,
 python3-pil <!nocheck>,
 python3-pint <!nocheck>,
 python3-platformdirs,
 python3-pretend <!nocheck>,
 python3-psutil <!nocheck>,
 python3-psygnal <!nocheck>,
 python3-pyautogui <!nocheck>,
 python3-pydantic <!nocheck>,
 python3-pygments <!nocheck>,
 python3-pytest <!nocheck>,
 python3-pytest-pretty <!nocheck>,
 python3-pytest-xvfb <!nocheck>,
 python3-pytestqt <!nocheck>,
 python3-qtpy-pyqt5 <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-setuptools-scm,
 python3-skimage <!nocheck>,
 python3-sphinx <!nocheck>,
 python3-superqt <!nocheck>,
 python3-tifffile <!nocheck>,
 python3-toolz <!nocheck>,
 python3-tqdm <!nocheck>,
 python3-typing-extensions <!nocheck>,
 python3-vispy (>= 0.13) <!nocheck>,
 python3-wrapt <!nocheck>,
 python3-xarray <!nocheck>,
 python3-yaml <!nocheck>,
 python3-zarr <!nocheck>,
Standards-Version: 4.6.2.0
Homepage: https://napari.org
Vcs-Git: https://salsa.debian.org/python-team/packages/napari.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/napari
Rules-Requires-Root: no

Package: python3-napari
Architecture: all
Depends:
 python3-qtpy-pyqt5,
 python3-xarray,
 python3-zarr,
 ${misc:Depends},
 ${python3:Depends},
Description: n-dimensional array viewer in Python
 Fast, interactive, multi-dimensional image viewer for Python. It's
 designed for browsing, annotating, and analyzing large
 multi-dimensional images. It's built on top of Qt (for the GUI),
 vispy (for performant GPU-based rendering), and the scientific Python
 stack (numpy, scipy).

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=napari
export PYBUILD_TEST_ARGS=-m 'not needs_network'

%:
	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -5,5 +5,9 @@
  ; echo "Testing with $py:"
  ; $py -m pytest --verbosity=2 -m 'not needs_network'
  ; done
-Depends: python3-pytest, python3-pytestqt, @,
+Depends:
+ python3-pytest,
+ python3-pytestqt,
+ python3-qtpy-pyqt5,
+ @,
 Restrictions: allow-stderr

## napari 0.5.6

=== debian/changelog ===
napari (0.5.6-3) unstable; urgency=medium

  * Run testsuite with a window manager.

 -- Roland Mas <lolando@debian.org>  Tue, 13 May 2025 12:19:07 +0200

napari (0.5.6-2) unstable; urgency=medium

  * Add missing Depends.

 -- Roland Mas <lolando@debian.org>  Sun, 16 Mar 2025 13:03:49 +0100

napari (0.5.6-1) unstable; urgency=medium

  * New upstream release.
  * Add missing Build-Depends.
  * Bug fix: "FTBFS: E   ImportError: numpy.core.multiarray failed to
    import", thanks to Santiago Vila (Closes: #1095359).

 -- Roland Mas <lolando@debian.org>  Fri, 14 Mar 2025 17:55:20 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ herbstluftwm <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
  python3-app-model (>= 0.2.8),
@@ -41,9 +42,9 @@
  python3-pyautogui <!nocheck>,
  python3-pydantic <!nocheck>,
  python3-pygments <!nocheck>,
+ python3-pyqt5.qtopengl <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-pretty <!nocheck>,
- python3-pytest-xvfb <!nocheck>,
  python3-pytestqt <!nocheck>,
  python3-qtpy-pyqt5 <!nocheck>,
  python3-scipy <!nocheck>,
@@ -61,6 +62,7 @@
  python3-xarray <!nocheck>,
  python3-yaml <!nocheck>,
  python3-zarr <!nocheck>,
+ xvfb <!nocheck>,
 Standards-Version: 4.6.2.0
 Homepage: https://napari.org
 Vcs-Git: https://salsa.debian.org/python-team/packages/napari.git
@@ -70,6 +72,7 @@
 Package: python3-napari
 Architecture: all
 Depends:
+ python3-pyqt5.qtopengl,
  python3-qtpy-pyqt5,
  python3-xarray,
  python3-zarr,

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,14 @@
 
 %:
 	dh $@ --buildsystem=pybuild
+
+export DISPLAY=:99.0
+execute_before_dh_auto_test:
+	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
+	sleep 5
+	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace
+	sleep 5
+
+execute_after_dh_auto_test:
+	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --remove-pidfile || true
+	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_xvfb.pid --remove-pidfile || true

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cp -r napari/_tests napari/conftest.py tox.ini "$AUTOPKGTEST_TMP" || true
 ; cd "$AUTOPKGTEST_TMP"
 ; export DISPLAY=:99.0
 ; XDG_BASE="$AUTOPKGTEST_TMP/.xdg"
 ; export XDG_CACHE_HOME="$XDG_BASE/cache"
 ; export XDG_DATA_HOME="$XDG_BASE/data"
 ; export XDG_CONFIG_HOME="$XDG_BASE/config"
 ; export XDG_STATE_HOME="$XDG_BASE/state"
 ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
 ; sleep 5
 ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace
 ; sleep 5
 ; echo "Testing with $py:"
 ; $py -m pytest --verbosity=2 -m 'not needs_network and not disable_qthread_start and not disable_qtimer_start'
 ; /sbin/start-stop-daemon --stop --quiet --pidfile $AUTOPKGTEST_TMP/custom_herbstluftwm.pid --remove-pidfile || true
 ; /sbin/start-stop-daemon --stop --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --remove-pidfile || true
 ; done
Depends:
 herbstluftwm,
 python3-pytest,
 python3-pytest-pretty,
 python3-pytestqt,
 python3-qtpy-pyqt5,
 xvfb,
 @,
Restrictions: allow-stderr

## napari 0.6.4

=== Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # dmypy run -- ...
 # https://mypy.readthedocs.io/en/stable/mypy_daemon.html
 typecheck:
-	mypy napari/settings napari/types.py napari/plugins
+	tox -e mypy
 
 check-manifest:
 	pip install -U check-manifest

=== debian/changelog ===
napari (0.6.4-2) unstable; urgency=medium

  * Fix arch detection to skip a few tests.

 -- Roland Mas <lolando@debian.org>  Sun, 31 Aug 2025 13:04:24 +0200

napari (0.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 27 Aug 2025 13:39:44 +0200

napari (0.5.6-7) unstable; urgency=medium

  * Fix the test skipping.

 -- Roland Mas <lolando@debian.org>  Wed, 27 Aug 2025 00:07:14 +0200

napari (0.5.6-6) unstable; urgency=medium

  * Skip three tests on arm* platforms with insufficient GL.

 -- Roland Mas <lolando@debian.org>  Tue, 26 Aug 2025 22:22:05 +0200

napari (0.5.6-5) unstable; urgency=medium

  * Add missing Depends.

 -- Roland Mas <lolando@debian.org>  Tue, 19 Aug 2025 21:24:01 +0200

napari (0.5.6-4) unstable; urgency=medium

  * Increase verbosity of testsuite to debug failures that happen on the
    Debian autopkgtest runners but not on my local test environment.

 -- Roland Mas <lolando@debian.org>  Sun, 17 Aug 2025 18:15:31 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  herbstluftwm <!nocheck>,
  pybuild-plugin-pyproject,
  python3-all,
- python3-app-model (>= 0.2.8),
+ python3-app-model (>= 0.4.0),
  python3-cachey <!nocheck>,
  python3-certifi <!nocheck>,
  python3-dask <!nocheck>,
@@ -24,10 +24,10 @@
  python3-lxml <!nocheck>,
  python3-lxml-html-clean <!nocheck>,
  python3-magicgui <!nocheck>,
- python3-napari-console <!nocheck>,
- python3-napari-plugin-engine <!nocheck>,
+ python3-napari-console (>= 0.1.1) <!nocheck>,
+ python3-napari-plugin-engine (>= 0.1.9) <!nocheck>,
  python3-napari-plugin-manager <!nocheck>,
- python3-napari-svg <!nocheck>,
+ python3-napari-svg (>= 0.1.8) <!nocheck>,
  python3-npe2 <!nocheck>,
  python3-numpy <!nocheck>,
  python3-numpydoc <!nocheck>,
@@ -45,6 +45,7 @@
  python3-pyqt5.qtopengl <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-pretty <!nocheck>,
+ python3-pytest-rerunfailures <!nocheck>,
  python3-pytestqt <!nocheck>,
  python3-qtpy-pyqt5 <!nocheck>,
  python3-scipy <!nocheck>,
@@ -57,7 +58,7 @@
  python3-toolz <!nocheck>,
  python3-tqdm <!nocheck>,
  python3-typing-extensions <!nocheck>,
- python3-vispy (>= 0.13) <!nocheck>,
+ python3-vispy (>= 0.15.2) <!nocheck>,
  python3-wrapt <!nocheck>,
  python3-xarray <!nocheck>,
  python3-yaml <!nocheck>,
@@ -72,6 +73,8 @@
 Package: python3-napari
 Architecture: all
 Depends:
+ python3-lxml,
+ python3-lxml-html-clean,
  python3-pyqt5.qtopengl,
  python3-qtpy-pyqt5,
  python3-xarray,

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=napari
-export PYBUILD_TEST_ARGS=-m 'not needs_network'
+export PYBUILD_TEST_ARGS=-m 'not needs_network' -vv
+include /usr/share/dpkg/default.mk
+export DEB_HOST_ARCH
 
 %:
 	dh $@ --buildsystem=pybuild

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Test-Command: set -efu
  ; for py in $(py3versions -r 2>/dev/null)
- ; do cp -r napari/_tests napari/conftest.py tox.ini "$AUTOPKGTEST_TMP" || true
+ ; do cp -r src/napari/_tests src/napari/conftest.py tox.ini "$AUTOPKGTEST_TMP" || true
  ; cd "$AUTOPKGTEST_TMP"
  ; export DISPLAY=:99.0
  ; XDG_BASE="$AUTOPKGTEST_TMP/.xdg"
@@ -8,6 +8,7 @@
  ; export XDG_DATA_HOME="$XDG_BASE/data"
  ; export XDG_CONFIG_HOME="$XDG_BASE/config"
  ; export XDG_STATE_HOME="$XDG_BASE/state"
+ ; export DEB_HOST_ARCH=$(dpkg-architecture -q DEB_HOST_ARCH)
  ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -- :99
  ; sleep 5
  ; /sbin/start-stop-daemon --start --quiet --pidfile $AUTOPKGTEST_TMP/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -- --replace

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://github.com/napari/napari/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## napari 0.6.6

=== debian/changelog ===
napari (0.6.6-3) unstable; urgency=medium

  * Bug fix: "napari's autopkg tests fail on armhf and s390x", thanks
    to Matthias Klose (Closes: #1112605). Not actually a fix, more of a
    "disable part of the testsuite since it crashes Xvfb on s390x".

 -- Roland Mas <lolando@debian.org>  Tue, 16 Dec 2025 13:02:30 +0100

napari (0.6.6-2) unstable; urgency=medium

  * Testsuite: ignore performance problems on s390x.

 -- Roland Mas <lolando@debian.org>  Sat, 29 Nov 2025 15:42:51 +0100

napari (0.6.6-1) unstable; urgency=medium

  * Add dependency on dbus for testsuite.
  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 26 Nov 2025 18:00:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>,
  Roland Mas <lolando@debian.org>,
 Build-Depends:
+ dbus-daemon <!nocheck>,
  debhelper-compat (= 13),
  dh-sequence-python3,
  herbstluftwm <!nocheck>,

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=napari
export PYBUILD_TEST_ARGS=-m 'not needs_network' -vv
export PYBUILD_DISABLE=python3.14
include /usr/share/dpkg/default.mk
export DEB_HOST_ARCH

%:
	dh $@ --buildsystem=pybuild

export DISPLAY=:99.0
execute_before_dh_auto_test:
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_xvfb.pid --make-pidfile --background --exec /usr/bin/Xvfb -O $(CURDIR)/custom_xvfb.log -- :99
	sleep 5
	/sbin/start-stop-daemon --start --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --make-pidfile --background --exec /usr/bin/herbstluftwm -O $(CURDIR)/custom_herbstluftwm.log -- --replace
	sleep 5
	if [ $(DEB_HOST_ARCH) = s390x ] ; then for i in  _qt/_qapp_model _qt _qt/dialogs _qt/layer_controls _qt/widgets _vispy ; do rm -rvf .pybuild/cpython3_*_napari/build/napari/$$i/_tests/ ; done ; rm -rvf .pybuild/cpython3_*_napari/build/napari/_tests/test_*.py ; fi

execute_after_dh_auto_test:
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_herbstluftwm.pid --remove-pidfile || true
	/sbin/start-stop-daemon --stop --quiet --pidfile $(CURDIR)/custom_xvfb.pid --remove-pidfile || true

## napari 0.7.0~a3

=== debian/changelog ===
napari (0.7.0~a3-2) unstable; urgency=medium

  * Team upload.
  * Build with PyQt6.

 -- Bastian Germann <bage@debian.org>  Sat, 28 Feb 2026 00:44:32 +0100

napari (0.7.0~a3-1) unstable; urgency=medium

  * Update debian/watch to version 5
  * Tighten Build-Depends on python3-vispy.
  * New upstream pre-release.
  * Also, backport a MR to fix Python 3.14 compatibility (closes: #1123155).
  * Build-Depend on dbus-daemon rather than dbus (closes: #1122681).

 -- Roland Mas <lolando@debian.org>  Sun, 15 Feb 2026 16:16:00 +0100

=== debian/control ===
--- 
+++ 
@@ -37,18 +37,19 @@
  python3-pil <!nocheck>,
  python3-pint <!nocheck>,
  python3-platformdirs,
+ python3-pooch <!nocheck>,
  python3-pretend <!nocheck>,
  python3-psutil <!nocheck>,
  python3-psygnal <!nocheck>,
  python3-pyautogui <!nocheck>,
  python3-pydantic <!nocheck>,
+ python3-pydantic-settings <!nocheck>,
  python3-pygments <!nocheck>,
- python3-pyqt5.qtopengl <!nocheck>,
  python3-pytest <!nocheck>,
  python3-pytest-pretty <!nocheck>,
  python3-pytest-rerunfailures <!nocheck>,
  python3-pytestqt <!nocheck>,
- python3-qtpy-pyqt5 <!nocheck>,
+ python3-qtpy-pyqt6 <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
@@ -59,7 +60,7 @@
  python3-toolz <!nocheck>,
  python3-tqdm <!nocheck>,
  python3-typing-extensions <!nocheck>,
- python3-vispy (>= 0.15.2) <!nocheck>,
+ python3-vispy (>= 0.16.1) <!nocheck>,
  python3-wrapt <!nocheck>,
  python3-xarray <!nocheck>,
  python3-yaml <!nocheck>,
@@ -76,8 +77,7 @@
 Depends:
  python3-lxml,
  python3-lxml-html-clean,
- python3-pyqt5.qtopengl,
- python3-qtpy-pyqt5,
+ python3-qtpy-pyqt6,
  python3-xarray,
  python3-zarr,
  ${misc:Depends},

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Test-Command: set -efu
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cp -r src/napari/_tests src/napari/conftest.py tox.ini "$AUTOPKGTEST_TMP" || true
+ ; if [ $py = python3.14 ] ; then continue ; fi
  ; cd "$AUTOPKGTEST_TMP"
  ; export DISPLAY=:99.0
  ; XDG_BASE="$AUTOPKGTEST_TMP/.xdg"
@@ -19,11 +20,14 @@
  ; /sbin/start-stop-daemon --stop --quiet --pidfile $AUTOPKGTEST_TMP/custom_xvfb.pid --remove-pidfile || true
  ; done
 Depends:
+ dbus,
  herbstluftwm,
+ python3-pooch,
  python3-pytest,
  python3-pytest-pretty,
  python3-pytestqt,
- python3-qtpy-pyqt5,
+ python3-qtpy-pyqt6,
  xvfb,
  @,
 Restrictions: allow-stderr
+Architecture: amd64 arm64 i386 ppc64el riscv64

=== debian/watch ===
Version: 5

Template: Github
Owner: napari
Project: napari
Uversion-Mangle: s/(rc|a|b|c)/~$1/

## napari IDS-0.0.3

=== requirements.txt ===
alabaster==0.7.12
appdirs==1.4.4
arrow==1.2.2
asttokens==2.0.5
attrs==21.4.0
Babel==2.9.1
backcall==0.2.0
binaryornot==0.4.4
black==22.1.0
bleach==4.1.0
cachey==0.2.1
certifi==2021.10.8
chardet==4.0.0
charset-normalizer==2.0.12
click==8.0.3
cloudpickle==2.0.0
colorama==0.4.4
cookiecutter==1.7.3
dask==2022.2.0
debugpy==1.5.1
decorator==5.1.1
docstring-parser==0.13
docutils==0.17.1
entrypoints==0.4
executing==0.8.2
freetype-py==2.2.0
fsspec==2022.1.0
HeapDict==1.0.1
hsluv==5.0.2
idna==3.3
ids-peak @ file:///C:/Program%20Files/IDS/ids_peak/sdk/api/binding/python/wheel/x86_64/ids_peak-1.2.0.5-cp38-cp38-win_amd64.whl
ids-peak-ipl @ file:///C:/Program%20Files/IDS/ids_peak/sdk/ipl/binding/python/wheel/x86_64/ids_peak_ipl-1.2.0.5-cp38-cp38-win_amd64.whl
imageio==2.16.0
imagesize==1.3.0
importlib-metadata==4.11.1
importlib-resources==5.4.0
intervaltree==3.1.0
ipykernel==6.9.1
ipython==8.0.1
ipython-genutils==0.2.0
jedi==0.18.1
Jinja2==3.0.3
jinja2-time==0.2.0
jsonschema==4.4.0
jupyter-client==7.1.2
jupyter-core==4.9.2
keyring==23.5.0
kiwisolver==1.3.2
locket==0.2.1
magicgui==0.3.7
MarkupSafe==2.0.1
matplotlib-inline==0.1.3
mypy-extensions==0.4.3
napari==0.4.14
napari-console==0.0.4
napari-plugin-engine==0.2.0
napari-svg==0.1.6
napari-tools-menu==0.1.10
nest-asyncio==1.5.4
networkx==2.6.3
npe2==0.1.2
numpy==1.22.2
numpydoc==1.2
opencv-python==4.5.5.62
packaging==21.3
pandas==1.4.1
parso==0.8.3
partd==1.2.0
pathspec==0.9.0
pickleshare==0.7.5
Pillow==9.0.1
Pint==0.18
pkginfo==1.8.2
platformdirs==2.5.0
pooch==1.6.0
poyo==0.5.0
prompt-toolkit==3.0.28
psutil==5.9.0
psygnal==0.3.3
pure-eval==0.2.2
pydantic==1.9.0
Pygments==2.11.2
PyOpenGL==3.1.5
pyparsing==3.0.7
PyQt5==5.15.6
PyQt5-Qt5==5.15.2
PyQt5-sip==12.9.1
pyrsistent==0.18.1
python-dateutil==2.8.2
python-slugify==6.0.1
pytomlpp==1.0.10
pytz==2021.3
PyWavelets==1.2.0
pywin32==303
pywin32-ctypes==0.2.0
PyYAML==6.0
pyzmq==22.3.0
qtconsole==5.2.2
QtPy==2.0.1
readme-renderer==32.0
requests==2.27.1
requests-toolbelt==0.9.1
rfc3986==2.0.0
scikit-image==0.19.1
scipy==1.8.0
six==1.16.0
snowballstemmer==2.2.0
sortedcontainers==2.4.0
Sphinx==4.4.0
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.0
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
stack-data==0.2.0
superqt==0.3.0
text-unidecode==1.3
tifffile==2022.2.9
tomli==2.0.1
toolz==0.11.2
tornado==6.1
tqdm==4.62.3
traitlets==5.1.1
twine==3.8.0
typer==0.4.0
typing_extensions==4.1.1
urllib3==1.26.8
vispy==0.9.6
wcwidth==0.2.5
webencodings==0.5.1
wincertstore==0.2
wrapt==1.13.3
zipp==3.7.0

## napari activelearning-0.0.5

=== requirements.txt ===
tensorstore==0.1.59
ome-zarr==0.9.0
cellpose-napari==0.1.5
magicgui==0.8.3
qtpy==2.4.1
scikit-image==0.24.0
zarrdataset==0.2.0

## napari activelearning-0.0.9

=== requirements.txt ===
tensorstore==0.1.59
ome-zarr==0.9.0
magicgui==0.8.3
qtpy==2.4.1
scikit-image==0.24.0
zarrdataset==0.2.0

## napari animation-0.0.1rc3

=== requirements.txt ===
imageio
imageio-ffmpeg
napari>=0.4.5
napari-plugin-engine>=0.1.9
numpy
qtpy
scipy

## napari boxmanager-0.3.0b2

=== docs/requirements.txt ===
sphinx-prompt == 1.3.0
docutils<0.18

## napari boxmanager-0.3.0b14

=== docs/requirements.txt ===


## napari flowreg-0.1.0a1

=== requirements.txt ===
napari>=0.4.18
pyflowreg[vis]
qtpy
numpy
scipy>=1.10.0
matplotlib>=3.5.0

## napari mcp-0.0.3

=== requirements.txt ===
napari>=0.5.5
PyQt6>=6.5.0
qtpy>=2.4.1
Pillow>=10.3.0
imageio>=2.34.0
numpy>=1.26.0

## napari spatialdata-0.5.7

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -r "$(BUILDDIR)"
	rm -r "generated"

## napari threedee-0.0.19

=== requirements.txt ===
# The requirements listed here are for development. 
# Requirements of your napari plugin should be listed in setup.cfg
# See also: https://caremad.io/posts/2013/07/setup-vs-requirement/

-e ".[dev]"
